For Developers

Fetch Team Role

GET https://ed.link/api/v2/teams/:team_id/roles/:team_role_id

Fetches detailed role definitions and assigned permission slugs.

Permissions

Requires the team_roles.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:team_role_idUUIDYesThe ID of the role.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/roles/${team_role_id}`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "3b7d4bad-9bdd-2b0d-7b3d-cb6d9b1deb4d",
        "name": "Support Specialist",
        "permissions": [
            {
                "permission": "integrations.read",
                "mode": "all",
                "target_ids": []
            }
        ]
    }
}